<!DOCTYPE html>
<html ng-app="exampleApp">
<head>
    <meta charset="UTF-8">
    <title>Basic Validation - Feedback</title>

    <link href="../Libraries/bootstrap.css" rel="stylesheet"/>
    <link href="../Libraries/bootstrap-theme.css" rel="stylesheet">
    <script src="../Libraries/angular.js"></script>

    <script>
       angular.module("exampleApp", [])
       .controller("defaultCtrl", function($scope){
          $scope.addNewUser = function (userDetails) {
              $scope.message = userDetails.name + "("+userDetails.email +") (" + userDetails.agreed + ")";
          }

          $scope.message = "Ready";
       });
    </script>

    <style>

        form .ng-pristine{
           border: 1px dotted gray;
        }

        form .ng-invalid.ng-dirty{
           background-color: lightpink;
        }

        form .ng-valid.ng-dirty{
           background-color: lightgreen;
        }

        form .ng-invalid-email{
           color: red;
        }

        span.summary.ng-invalid{
           color: red;
           font-weight: bold;
        }

        span.summary.ng-valid{
           color: green;
        }
    </style>
</head>

<body>
<div class="panel" ng-controller="defaultCtrl" style="width:300px">
    <form name="myForm" novalidate ng-submit="addNewUser(newUser)">
        <div class="well">
            <div class="form-group">
                <label>Name:</label>
                <input name="userName" type="text" class="form-control" ng-model="newUser.name" required>
            </div>
            <div class="form-group">
                <label>Email:</label>
                <input name="userEmail" type="email" class="form-control" ng-model="newUser.email" required>
            </div>
            <div class="checkbox">
                <label>
                    <input name="agreed" type="checkbox" ng-model="newUser.agreed" required>
                    I agree to the terms and conditions
                </label>
            </div>
            <button type="submit" class="btn btn-primary btn-block" ng-disabled="myForm.$invalid">OK</button>
        </div>

        <div class="well">
            Message: {{message}}
            <div>
                Valid:
                <span class="summary" ng-class="myForm.$valid ? 'ng-valid' : 'ng-invalid'">{{myForm.$valid}}</span>
            </div>
        </div>
    </form>

</div>

</body>
</html>